<!DOCTYPE HTML>
<html>
<head>
  <title>Media test: networkState</title>
  <script type="text/javascript" src="/MochiKit/MochiKit.js"></script>
  <script type="text/javascript" src="/tests/SimpleTest/SimpleTest.js"></script>
  <link rel="stylesheet" type="text/css" href="/tests/SimpleTest/test.css" />
</head>
<body>
<video id='v1'></video><audio id='a1'></audio>
<pre id="test">
<script class="testbody" type="text/javascript">
var v1 = document.getElementById('v1');
var a1 = document.getElementById('a1');
var passed = true;

is(v1.networkState, 0);
is(a1.networkState, 0);

try {
  v1.networkState = 0;
  a1.networkState = 0;
  passed = false;
} catch(e) { }
ok(passed, "Should not be able to set networkState (readonly attribute)");

</script>
</pre>
</body>
</html>
